> ## Documentation Index
> Fetch the complete documentation index at: https://www.fastforex.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Real-time FX bid/ask quote

> Live bid & ask quote for 1 or more (up to 10 in a single request) FX trading pairs.



## OpenAPI

````yaml get /fx/quote
openapi: 3.0.3
info:
  title: fastFOREX.io
  version: 2.3.2
  description: Foreign & cryptocurrency exchange rate API
  termsOfService: https://www.fastforex.io/terms-of-sale
  contact:
    email: support@fastforex.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.fastforex.io
    description: Production
  - url: https://api.beta.fastforex.io
    description: Beta
security:
  - api_key: []
  - apiKeyHeader: []
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: currency
    description: Physical currencies, rates and conversions
  - name: crypto
    description: Digital currencies, pairs & prices
  - name: fx
    description: Realtime FX trading pairs - instruments, prices and history
  - name: admin
    description: Account admin
  - name: plan-one
    description: Available on The One Plan
  - name: plan-extra
    description: Available on The Extra Plan
  - name: plan-premium
    description: Available on The Premium Plan
externalDocs:
  description: Find out more about fastFOREX.io
  url: https://www.fastforex.io
paths:
  /fx/quote:
    get:
      tags:
        - fx
        - plan-extra
        - plan-premium
      description: >-
        Live bid & ask quote for 1 or more (up to 10 in a single request) FX
        trading pairs.
      parameters:
        - name: pairs
          in: query
          description: >-
            Up to 10 target currency pairs, comma separated in XXXYYY or XXX/YYY
            format
          required: true
          schema:
            $ref: '#/components/schemas/TradingPairList'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  prices:
                    type: object
                    minProperties: 1
                    additionalProperties:
                      type: object
                      properties:
                        bid:
                          type: number
                          format: float
                        ask:
                          type: number
                          format: float
                        tsp:
                          $ref: '#/components/schemas/TimestampMillis'
                        size:
                          $ref: '#/components/schemas/QuoteSize'
                  ms:
                    $ref: '#/components/schemas/ResponseTime'
                example:
                  quotes:
                    EURUSD:
                      bid: 1.2145
                      ask: 1.2146
                      tsp: 1739305030072
                      size: 1
                    GBPUSD:
                      bid: 1.4145
                      ask: 1.4146
                      tsp: 1739305029908
                      size: 1
                    IRRUSD:
                      bid: 2.3808
                      ask: 2.3816
                      tsp: 1739305029908
                      size: 100000
                  ms: 8
        '400':
          description: Bad Request
        '401':
          description: Not Authorized
        '403':
          description: Forbidden
        '429':
          description: Rate limit exceeded
components:
  schemas:
    TradingPairList:
      type: string
      pattern: '[A-Z0-9]{3,6}/?[A-Z0-9]{3,6}(,[A-Z0-9]{3,6}/?[A-Z0-9]{3,6})*'
      description: A comma-separated list of FX trading pairs
    TimestampMillis:
      type: number
      format: int64
      description: >-
        Milliseconds since Jan 1 1970 (unix timestamp with millisecond
        precision)
      example: 1739305030072
    QuoteSize:
      type: number
      format: int32
      description: Size of the quote is units of the base currency/symbol. Usually 1.
    ResponseTime:
      type: number
      format: int32
      description: Server response time in milliseconds
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: query
    apiKeyHeader:
      type: apiKey
      name: X-API-KEY
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: api_key
    basicAuth:
      type: http
      scheme: basic

````